//
// Main
//


body {
	background-color: $page-bg-color;
}

// Font color from Content background color
.content-bg-for-font-color {
	color: $page-bg-color;
}

// Desktop Mode
@include media-breakpoint-up(lg) {
	// Containers
	.container,
	.container-fluid {
		padding: 0 get($content-spacing, desktop);
	}

	// Wrapper
	.wrapper {
		padding-left: get($aside-config, width, desktop);	

		// Fixed header mode
		.header-fixed & {
			padding-top: get($header-config, default, height, desktop);
		}
	}
}

// Tablet & mobile modes
@include media-breakpoint-down(lg) {
	// Containers
	.container,
	.container-fluid {
		max-width: none;
		padding: 0 get($content-spacing, tablet-and-mobile);
	}

	// Wrapper
	.wrapper {
		// Fixed header mode
		.header-tablet-and-mobile-fixed & {
			padding-top: get($header-config, fixed, height, tablet-and-mobile);
		}
	}
}
